YPLDAP(8)

NAME
ypldap - YP map server using LDAP backend

SYNOPSIS
ypldap [-dnv] [-D macro=value] [-f file]

DESCRIPTION
ypldap is a daemon providing YP maps using LDAP as a backend. Arbitrary LDAP schemas can be tied to the different YP maps. ypldap has the same role as ypserv(8) and the two daemons are exclusive.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, ypldap will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/ypldap.conf
    Default ypldap configuration file.

SEE ALSO
ypldap.conf(5), ypbind(8)

HISTORY
The ypldap program first appeared in OpenBSD 4.4.

AUTHORS
The ypldap program was written by Pierre-Yves Ritschard.